apt4rpm - brocken dependencies

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von Neutrino, 24.03.2004.

  1. #1 Neutrino, 24.03.2004
    Neutrino

    Neutrino Grünschnabel

    Dabei seit:
    24.03.2004
    Beiträge:
    1
    Zustimmungen:
    0
    was ist das Pendant zu --force bei apt4rpm?
    (und ich meine nicht -o rpm::options::=--force)

    Ich habe folgendes Problem:
    Eigentlich wuerde alles alles laufen (es lief chon mal gut), aber die RPM packete habe falsche dependency informationen und ich kann apt4rpm nicht sagen diese zu ignorieren.
    wenn ich ein apt-get upgrade starte bekomme ich:

    The following packages have unmet dependencies:
    sane-backends: Obsoletes: sane but 1.0.10-243 is installed

    nun funktioniert aber alles und wenn ich sane-backend rauswerfe dann will apt4rpm dannach iscan rauswerfen und iscan brauche ich.
    und iscan braucht sane (obwohl es nich in den dependencies steht).
    also da ist ein wurm drin.

    ich habe schon versucht in die apt.conf

    RPM
    {
    Fake-Provides { "sane_backends"; "sane"; };
    }

    einzutragen... aber es half nicht.


    ich will nicht immer sane o. sane-backends etc.. deinstallieren und 5 minuten später wieder installieren nur um apt-get benutzen zu koennen.



    any help is much appreciated,

    Neutrino
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

apt4rpm - brocken dependencies

Die Seite wird geladen...

apt4rpm - brocken dependencies - Ähnliche Themen

  1. KDE 3.5 Stable im apt4rpm Repo ...

    KDE 3.5 Stable im apt4rpm Repo ...: Jahaa, KDE 3.5 is im Stable Repo von apt4rpm ... Habe eben ein apt update hinter mir und bei einem dist-upgrade kommen diese netten Zeilen:...
  2. apt4rpm - cpio: Bad magic

    apt4rpm - cpio: Bad magic: Beim Upgrade mittels apt4rpm habe ich in letzter zeit immer häufiger folgende Meldungen bei den Packeten : Preparing......
  3. apt4rpm

    apt4rpm: Hallo, ich habe hier im Forum gelesen, das es apt auch für Suse gibt. Ich nutze Debian, daher weiß ich wie schön apt-get Befehle sein können....
  4. apt4rpm unter RedHat

    apt4rpm unter RedHat: Hi, wie kann ich apt4rpm unter RedHat nutzen? Habe bisher nur die Installation für Suse bei euch gefunden... Danke und nen schönen 4. Advent...
  5. apt4rpm für SuSE 9.0

    apt4rpm für SuSE 9.0: Hallo zusammen, ab heute (24.10.2003) gibt es apt4rpm für SuSE 9.0 inklusive der graphischen Oberfläche Synaptic bei ftp.gwdg.de Gruß, Fritz